/*******************************************************************
 * whatfile.c - watches life of file, returns when file is removed 
 * License: GPL                                                    
 *******************************************************************/

#include <stdlib.h>
#include <stdio.h>

#define PROGNAME "watchfile"
#define READ_ONLY "r"
#define VERSION "0.1"

int main(int argc, char * argv[]) {
	
	char * filename;
	FILE * fh;

	if ( argc <= 1) {
		printf("Usage: %s  [ --version | <filename> ]\n", PROGNAME); 
		exit(1);
	} else if ( strcmp( argv[1],  "--version") == 0 ) {
		printf("%s version %s\n", PROGNAME, VERSION);	
		exit(1);
	} else {
		filename = argv[1];

		while ( fh = fopen( filename, READ_ONLY ) ) {
			fclose(fh);
		}
		
		exit(0);  // file no longer exists
	}
}

